#include "down_dialog.h"

extern class Down downFile;

Down_Dialog::Down_Dialog(string data, Window* parent,  const string& message) :
		Dialog(message, *parent, true)
{
	Json::Reader	reader;
	Json::Value	value;
	int 		i = 0, n = 0;

	m_Quality[0] = "无损品质";
	m_Quality[1] = "超高品质";
	m_Quality[2] = "高品质";
	m_Quality[3] = "标准品质";

	signal_response().connect(sigc::mem_fun(this, &Down_Dialog::on_button_click));
	if(reader.parse(data, value)) {
		value = value[i];
		value = value["file_list"];

		n = 4 - value.size();
		for( i = 0; (i < value.size()) && (n < 4); ++i, ++n) {

			down_url[i] = value[i]["url"].asString();
			add_button(m_Quality[n], i);
		}
	} else {
		cout << "not data" << endl;
	}
}

void Down_Dialog::on_button_click(int response_id)
{
	if(response_id < 0 || response_id > 4) {
		return;
	}
	downFile.set_url(down_url[response_id]);
	downFile.get();
}

//Downloads Window
Down_Window::Down_Window()
{
}
