#ifndef DOWN_H
#define DOWN_H

#include "network.h"
#include <sys/stat.h>
#include <fcntl.h>

static pthread_mutex_t thisattr = PTHREAD_MUTEX_INITIALIZER;

class Down;

typedef struct thread {
	float	len;
	string filename;
	pthread_t pid;
}THREAD;

typedef struct downarg {
	Down	*down;
	int	sockfd;
	THREAD	*td;
}DOWNARG;


class Down : public NetWork
{
public:
	Down(string url = "");
	~Down();

protected:
	list<THREAD*> m_downlist;

	virtual void recv_server(int sockfd);
};
#endif


